Index: /branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_ExpTask.cshtml
===================================================================
--- /branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_ExpTask.cshtml	(revision 13712)
+++ /branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_ExpTask.cshtml	(revision 13712)
@@ -0,0 +1,119 @@
+﻿@model HeuristicLab.Clients.Hive.WebJobManager.Models.HiveTaskContainer
+@using Newtonsoft.Json;
+
+<div class="panel panel-danger" style="border-color:#c12e2a!important; border-width:2px!important">
+    <div class="panel-heading"
+         data-toggle="collapse"
+         data-target="#panbody@(Model.hiveTask.Task.Id)"
+         onclick="redrawexp('@(Model.hiveTask.Task.Id)')"
+       aria-expanded="false"
+       aria-controls="panbody@(Model.hiveTask.Task.Id)">
+        <table class="table ">
+            <thead>
+                <tr>
+                    <th>Experiment: @Model.hiveTask.ItemTask.Name</th>
+                    <th style="font-size:large">
+                        @if (Model.hiveTask.Task.Priority == 0)
+                        {
+                            <span class="label label-default"> Priority low</span>
+                        }
+                        else if (Model.hiveTask.Task.Priority == 1)
+                        {
+                            <span class="label label-info">Priority normal</span>
+                        }
+                        else if (Model.hiveTask.Task.Priority == 2)
+                        {
+                            <span class="label label-warning">Priority urgent</span>
+
+                        }
+                        else if (Model.hiveTask.Task.Priority == 3)
+                        {
+                            <span class="label label-danger">Priority critical</span>
+
+                        }
+                    </th>
+
+                </tr>
+            </thead>
+            <tbody>
+                <tr>
+                    <td id="lastupdate@(Model.hiveTask.Task.Id)">
+                        Last update @Model.hiveTask.Task.LastTaskDataUpdate
+                    </td>
+                    <td id="state@(Model.hiveTask.Task.Id)">State: @Model.hiveTask.Task.State</td>
+
+                </tr>
+                <tr>
+                    <td id="exectime@(Model.hiveTask.Task.Id)">
+                        @Model.hiveTask.Task.ExecutionTime executed
+                    </td>
+                    <td>Created: @Model.hiveTask.Task.DateCreated</td>
+                </tr>
+                <tr>
+                    <td>
+                        Child task distribution
+                        <input type="checkbox"
+                               disabled
+                               @(Model.hiveTask.ItemTask.ComputeInParallel ? "checked" : "" )
+                               data-toggle="toggle"
+                               data-onstyle="success" />
+                    </td>
+                    <td>Statelogs: @Model.hiveTask.Task.StateLog.Count</td>
+                </tr>
+            </tbody>
+        </table>
+    </div>
+    <div class="panel-body ">
+        <div class="collapse" id="panbody@(Model.hiveTask.Task.Id)">
+            <h4>From @Model.hiveTask.Task.StateLog.First().DateTime <br />to @Model.hiveTask.Task.StateLog.Last().DateTime  </h4>
+            <div id="graph@(Model.hiveTask.Task.Id)"></div>
+        </div>
+    </div>
+    @if (Model.hiveTask.ChildHiveTasks.Count > 0)
+    {
+        <div class="panel-body ">
+            @foreach (var task in Model.hiveTask.ChildHiveTasks)
+            {
+                @Html.Partial("SelectedJobPartials/_TaskPartial",
+                    new HeuristicLab.Clients.Hive.WebJobManager.Models.HiveTaskContainer(task))
+
+            }
+        </div>
+    }
+    <script type="text/javascript">
+        var temp = @Html.Raw(JsonConvert.SerializeObject(Model.hiveTask.Task.StateLog));
+        var xarr = [];
+        var yarr = [];
+        for(var v = 0; v < temp.length; v++){
+            xarr.push(temp[v].DateTime.substr(11,8));
+            if(temp[v].State == 1)
+                yarr.push("Waiting");
+            else if(temp[v].State == 2)
+                yarr.push("Transferring");
+            else if(temp[v].State == 3)
+                yarr.push("Calculating");
+            else if(temp[v].State == 5)
+                yarr.push("Finished");
+            else if(temp[v].State == 7)
+                yarr.push("Failed");
+        }
+
+        var data = [{
+            x: xarr,
+            y: yarr,
+            type:'scatter'
+        }];
+        document.getElementById("graph@(Model.hiveTask.Task.Id)").style = "width: 90%; height: 450px;";
+
+        Plotly.newPlot('graph@(Model.hiveTask.Task.Id)', data);
+
+        function redrawexp(val){
+            setTimeout(function(){
+                Plotly.newPlot('graph' + val,data);
+            }, 100);
+            
+
+        }
+
+    </script>
+</div>
Index: /branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_TaskPartial.cshtml
===================================================================
--- /branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_TaskPartial.cshtml	(revision 13712)
+++ /branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/SelectedJobPartials/_TaskPartial.cshtml	(revision 13712)
@@ -0,0 +1,21 @@
+﻿@model HeuristicLab.Clients.Hive.WebJobManager.Models.HiveTaskContainer
+
+        
+
+        @if (Model.hiveTask.ItemTask.Item is HeuristicLab.Optimization.IAlgorithm)
+        {
+            @Html.Partial("SelectedJobPartials/_AlgTask", Model)
+
+        }
+        else if (Model.hiveTask.ItemTask.Item is HeuristicLab.Optimization.Experiment)
+        {
+            @Html.Partial("SelectedJobPartials/_ExpTask", Model)
+
+        }
+        else if (Model.hiveTask.ItemTask.Item is HeuristicLab.Optimization.BatchRun)
+        {
+
+            @Html.Partial("SelectedJobPartials/_BatchTask", Model)
+        }
+
+        
Index: /branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Shared/_Layout.cshtml
===================================================================
--- /branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Shared/_Layout.cshtml	(revision 13711)
+++ /branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Shared/_Layout.cshtml	(revision 13712)
@@ -31,4 +31,5 @@
         <script src="~/js/npm.js"></script>
         <script src="~/js/raphael.js"></script>
+        <script src="~/js/plotly.js"></script>
         @RenderBody()
     </div>
Index: /branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/wwwroot/js/Scripts/hubber.js
===================================================================
--- /branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/wwwroot/js/Scripts/hubber.js	(revision 13711)
+++ /branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/wwwroot/js/Scripts/hubber.js	(revision 13712)
@@ -31,5 +31,5 @@
 
     var jobname = prompt("Please enter a job name", "Job");
-    if (jobname != "") {
+    if (jobname && jobname != "" && jobname != null) {
         hubber.server.changeName(jobname);
         document.getElementById("fakehiveadd").style.display = "none";
@@ -40,5 +40,5 @@
 }
 function toggleChild(arr, idchilds) {
-    console.log(arr);
+    console.log(arr + " toggled");
     hubber.server.toggleChild(arr);
     if ($("#childs" + idchilds).css("display") == "none")
@@ -47,2 +47,29 @@
         $("#childs" + idchilds).css("display", "none");
 }
+function changePriority(arr, prior, idprior) {
+    console.log(arr + " to priority " + prior);
+    hubber.server.changePriority(arr, prior);
+    resetPrior(idprior);
+    switch (prior) {
+        case 0:
+            document.getElementById("prior" + idprior).className += "btn-default";
+            document.getElementById("prior" + idprior).innerHTML = "Low"
+            break;
+        case 1:
+            document.getElementById("prior" + idprior).className += "btn-info";
+            document.getElementById("prior" + idprior).innerHTML = "Normal"
+            break;
+        case 2:
+            document.getElementById("prior" + idprior).className += "btn-warning";
+            document.getElementById("prior" + idprior).innerHTML = "Urgent"
+            break;
+        case 3:
+            document.getElementById("prior" + idprior).className += "btn-danger";
+            document.getElementById("prior" + idprior).innerHTML = "Critical";
+            break;
+    }
+    document.getElementById("prior" + idprior).innerHTML += "<span class='caret'></span>";
+}
+function resetPrior(id) {
+    document.getElementById("prior" + id).className = "btn dropdown-toggle ";
+}
Index: /branches/WebJobManager/HeuristicLab.Clients.Hive/3.3/HiveTasks/OptimizerHiveTask.cs
===================================================================
--- /branches/WebJobManager/HeuristicLab.Clients.Hive/3.3/HiveTasks/OptimizerHiveTask.cs	(revision 13711)
+++ /branches/WebJobManager/HeuristicLab.Clients.Hive/3.3/HiveTasks/OptimizerHiveTask.cs	(revision 13712)
@@ -295,5 +295,5 @@
     /// Recursively updates all the child-jobs as well
     /// </summary>
-    internal void SetIndexInParentOptimizerList(OptimizerHiveTask parentHiveTask) {
+    public void SetIndexInParentOptimizerList(OptimizerHiveTask parentHiveTask) {
       if (parentHiveTask != null) {
         if (parentHiveTask.ItemTask.Item is Optimization.Experiment) {
